Bug 54866 - Share/Amount values read incorrectly from QIF import of stock transactions.
Share/Amount values read incorrectly from QIF import of stock transactions.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnucash (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-21 22:14 EDT by Sam Varshavchik
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 17:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The QIF file (2.80 KB, application/octet-stream)
2001-10-21 22:15 EDT, Sam Varshavchik
no flags Details
Screen dump of the account register, after import. (69.15 KB, image/png)
2001-10-21 22:17 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2001-10-21 22:14:30 EDT
Description of Problem:

Importing of stock transactions is completely broken.  Here's a simple buy
of 100 shares, for $1:

^
!Type:Invst
D10/10' 1
NBuyX
YXYZ Inc
I1
Q100
U100.00
T100.00
L[Investment]
$100.00

gnucash somehow reads this as a buy of -10,000 shares, for $-1.

Here's a QIF record for a 2:1 stock split.

^
D10/21' 1
NStkSplit
YXYZ Inc
I1
Q20

This imports as a 200:1 stock split



Version-Release number of selected component (if applicable):

gnucash-1.6.4-1

How Reproducible:

Always


Steps to Reproduce:

1. Create an empty, new file in gnucash.

2. Accept all the defaults in the new file wizard, but select both "Common
Accounts" and "Investment Account" in the hierarchy setup dialog.

2. Import the following QIF file.  Just go ahead and click through all the
default answers in the QIF import wizard.

Actual Results:

Gnucash imports a "Buy of -10,000 shares for $-1, followed by a 200:1 stock
split".

Expected Results:

A buy of 100 shares, then a 2:1 stock split.

Additional Information:

This QIF file was exported from Quicken Deluxe '99.
Comment 1 Sam Varshavchik 2001-10-21 22:15:41 EDT
Created attachment 34541 [details]
The QIF file
Comment 2 Sam Varshavchik 2001-10-21 22:17:03 EDT
Created attachment 34542 [details]
Screen dump of the account register, after import.
Comment 3 Bill Nottingham 2005-01-28 17:21:05 EST
Closing bugs from older, end-of-life releases. Apologies for any lack of response.

Please attempt to reproduce problems on a current distro, such as Fedora Core 3.

Note You need to log in before you can comment on or make changes to this bug.